www.cendio.com
Bug 4862 - HTML client mishandles login errors
: HTML client mishandles login errors
Status: CLOSED FIXED
: ThinLinc
Web Access
: trunk
: PC Unknown
: P2 Normal
: 4.2.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2013-10-23 13:49 by
Modified: 2014-04-24 14:52 (History)
Acceptance Criteria:


Attachments
Trying to connect to a stopped vsmserver (19.82 KB, image/png)
2014-04-10 13:35, Karl Mikaelsson
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2013-10-23 13:49:57
The agent failed to create a session which left me with this page:

Failed to create new session: error=4
Password: [    ]
    [Login]

Entering the password again brings me back to the original login page without
any message.


Error messages should be the same as for the native client. And we should be
brought to either a special error page, or back to the login page rather than
this broken one.
------- Comment #1 From cendio 2014-02-14 15:07:30 -------
Fixed in revision 28432.
------- Comment #2 From cendio 2014-03-19 14:09:42 -------
2014-03-19 14:08:39 ERROR tlwebaccess[2515]:   File
"/opt/thinlinc/modules/thinlinc/tlwebaccess/main.py", line 147, in do_POST
2014-03-19 14:08:39 ERROR tlwebaccess[2515]:     self . _POST_METHODS . get (
page_name , self . error_404 ) ( query ) )
2014-03-19 14:08:39 ERROR tlwebaccess[2515]:   File
"/opt/thinlinc/modules/thinlinc/tlwebaccess/main.py", line 297, in home
2014-03-19 14:08:39 ERROR tlwebaccess[2515]:     return self .
check_authenticated ( o0O , Oo0O , II1III , O0o0 )
2014-03-19 14:08:39 ERROR tlwebaccess[2515]:   File
"/opt/thinlinc/modules/thinlinc/tlwebaccess/main.py", line 338, in
check_authenticated
2014-03-19 14:08:39 ERROR tlwebaccess[2515]:     return self . thinlinc_login (
username , ooOOoooooo , screen_size_array )
2014-03-19 14:08:39 ERROR tlwebaccess[2515]:   File
"/opt/thinlinc/modules/thinlinc/tlwebaccess/main.py", line 468, in
thinlinc_login
2014-03-19 14:08:39 ERROR tlwebaccess[2515]:     iiiI1I11i1 = "Failed to create
new session with reason: %s" % vsmcommon . err_to_string [ OOOoo0OO ]
2014-03-19 14:08:39 ERROR tlwebaccess[2515]: AttributeError: 'module' object
has no attribute 'err_to_string'
2014-03-19 14:08:39 ERROR tlwebaccess[2515]:
----------------------------------------
------- Comment #3 From cendio 2014-03-19 15:55:33 -------
(In reply to comment #2)
> 2014-03-19 14:08:39 ERROR tlwebaccess[2515]:   File
> "/opt/thinlinc/modules/thinlinc/tlwebaccess/main.py", line 147, in do_POST
> 2014-03-19 14:08:39 ERROR tlwebaccess[2515]:     self . _POST_METHODS . get (
> page_name , self . error_404 ) ( query ) )
> 2014-03-19 14:08:39 ERROR tlwebaccess[2515]:   File
> "/opt/thinlinc/modules/thinlinc/tlwebaccess/main.py", line 297, in home
> 2014-03-19 14:08:39 ERROR tlwebaccess[2515]:     return self .
> check_authenticated ( o0O , Oo0O , II1III , O0o0 )
> 2014-03-19 14:08:39 ERROR tlwebaccess[2515]:   File
> "/opt/thinlinc/modules/thinlinc/tlwebaccess/main.py", line 338, in
> check_authenticated
> 2014-03-19 14:08:39 ERROR tlwebaccess[2515]:     return self . thinlinc_login (
> username , ooOOoooooo , screen_size_array )
> 2014-03-19 14:08:39 ERROR tlwebaccess[2515]:   File
> "/opt/thinlinc/modules/thinlinc/tlwebaccess/main.py", line 468, in
> thinlinc_login
> 2014-03-19 14:08:39 ERROR tlwebaccess[2515]:     iiiI1I11i1 = "Failed to create
> new session with reason: %s" % vsmcommon . err_to_string [ OOOoo0OO ]
> 2014-03-19 14:08:39 ERROR tlwebaccess[2515]: AttributeError: 'module' object
> has no attribute 'err_to_string'
> 2014-03-19 14:08:39 ERROR tlwebaccess[2515]:
> ----------------------------------------

Revision 28671 prevents the global variable err_to_string from becoming
obfuscated.
------- Comment #4 From cendio 2014-03-20 07:50:52 -------
Verified using build 4294, string is now displayed as it should.

Tested using /vsmserver/allowed_groups and provoked following error:

"Failed to create new session with reason: You are not allowed to use ThinLinc"
------- Comment #5 From cendio 2014-04-10 13:35:22 -------
Created an attachment (id=530) [details]
Trying to connect to a stopped vsmserver

The same broken page appears when you try to login to a stopped vsmserver. I'm
currently rewriting the error message as part of bug 5027 but the lone password
field must go.
------- Comment #6 From cendio 2014-04-15 12:55:53 -------
(In reply to comment #5)
> Created an attachment (id=530) [details] [details]
> Trying to connect to a stopped vsmserver
> 
> The same broken page appears when you try to login to a stopped vsmserver. I'm
> currently rewriting the error message as part of bug 5027 but the lone password
> field must go.

Fixed in commit 28848.
------- Comment #7 From cendio 2014-04-15 15:46:51 -------
Some code cleanup in commit 28852.
------- Comment #8 From cendio 2014-04-16 11:21:51 -------
Tested using build 4325, works as expected.